/*
 * Class SPECIAL [NATURAL_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1639 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1639 [] = {0xFF01,1551,1638,875,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1639 [] = {0xFF01,1638,875,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1639 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1639 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1639 [] = {0xFF01,1638,875,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1639 [] = {0xFF01,1638,875,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1639 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1639 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1639 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1639 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1639 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1639 [] = {1638,875,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1639 [] = {0xFF01,1638,875,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1639 [] = {0xFF01,1621,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1639 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1639 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1639 [] = {0xFF01,1612,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1639 [] = {0xFF01,1613,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1639 [] = {0xFF01,1638,875,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1639 [] = {0xFF01,1638,875,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1639 [] = {0xFF01,1638,875,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1639 [] = {0xFF01,1638,875,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1639 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1639 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1639 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_1639[] = {
	{EIF_GENERIC(NULL), 15212, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1639), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1639), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1639), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1639), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1639), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1639), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1639), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1639), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1639), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1639), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1639), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1639), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1639), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1639), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1639), 11010, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1639), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15213, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15214, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15215, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1639), 15217, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15218, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 15219, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 15220, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1639), 15221, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1639), 15222, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15224, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15225, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15228, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15229, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15231, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15182, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15183, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15184, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15185, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15186, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15187, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15188, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15189, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15190, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15191, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15192, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15193, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15194, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15195, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1639), 15196, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1639), 15197, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1639), 15198, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1639), 15199, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15200, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15201, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15202, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15203, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15204, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15205, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15206, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15207, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15208, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15210, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15211, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1639), 15216, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1639), 15223, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15230, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15226, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15227, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15230, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1639), 15209, 0xFFFFFFFF},
};
void Init1639(void)
{
	IDSC(desc_1639, 0, 1638);
	IDSC(desc_1639 + 1, 1, 1638);
	IDSC(desc_1639 + 32, 1088, 1638);
	IDSC(desc_1639 + 34, 2, 1638);
	IDSC(desc_1639 + 77, 1570, 1638);
	IDSC(desc_1639 + 80, 949, 1638);
	IDSC(desc_1639 + 83, 224, 1638);
}


#ifdef __cplusplus
}
#endif
